Skip to content
OpenPostDocs
OpenPostDocs
Media

Create a screenshot template design

POST/screenshot-templates/designs

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/screenshot-templates/designs" \  -H "Content-Type: application/json" \  -d '{    "document": {      "appearance": "light",      "frame": "natural",      "schema_version": 1,      "template_id": "messages",      "text_size": "small",      "title": "string"    },    "workspace_id": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/ScreenshotTemplateDesignResponse.json",  "can_edit": true,  "document": {    "appearance": "light",    "conversation": {      "messages": [        {          "id": "string",          "image_media_id": "string",          "sender_id": "string",          "text": "string"        }      ],      "name": "string",      "people": [        {          "avatar_media_id": "string",          "id": "string",          "name": "string"        },        {          "avatar_media_id": "string",          "id": "string",          "name": "string"        }      ],      "read_receipt": "string",      "self_id": "string",      "show_header": true,      "timestamp": "string"    },    "frame": "natural",    "meme": {      "alt_text": "string",      "captions": [        "string"      ],      "format": "png",      "name": "string",      "overlay_media_ids": [        "string"      ],      "overlay_slots": 0,      "parent_media_id": "string",      "template_id": "string"    },    "receipt": {      "address": "string",      "business": "string",      "currency": "USD",      "custom_total": "string",      "footer": "string",      "items": [        {          "amount_cents": 0,          "id": "string",          "name": "string",          "quantity": 1        }      ],      "order": "string",      "tax_percent": 0,      "timestamp": "string"    },    "schema_version": 1,    "status_page": {      "headline": "string",      "name": "string",      "severity": "operational",      "updates": [        {          "id": "string",          "stage": "string",          "text": "string",          "timestamp": "string"        }      ]    },    "template_id": "messages",    "text_size": "small",    "title": "string"  },  "id": "string",  "revision": 0,  "template_id": "string",  "title": "string",  "updated_at": "2019-08-24T14:15:22Z",  "workspace_id": "string"}